Bug 917529 - passdb backend ldapsam no longer works
Summary: passdb backend ldapsam no longer works
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: Jan Ščotka
URL:
Whiteboard:
Depends On: 908353
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-04 09:39 UTC by David Spurek
Modified: 2015-03-02 05:27 UTC (History)
10 users (show)

Fixed In Version: samba-4.0.3-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 908353
Environment:
Last Closed: 2014-06-13 12:10:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Spurek 2013-03-04 09:39:11 UTC
+++ This bug was initially created as a clone of Bug #908353 +++

Description of problem:
samba will no longer start if the ldapsam passdb backend is configured

Version-Release number of selected component (if applicable):
samba-4.0.1-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1.configure samba for an ldapsam backend
(mainly passdb backend = ldapsam, plus for example
        ldap admin dn = cn=Directory Manager
        ldap suffix = dc=xxxx,dc=com
        ldap user suffix = cn=users,cn=accounts
        ldap machine suffix = cn=computers,cn=accounts
        ldap group suffix = cn=groups,cn=accounts
        ldap ssl = off
if an IPA compatible ldap database is used to hold credentials)
2.then start smbd

Actual results:
smbd no longer starts

Expected results:
smbd starts and works

Additional info:
smbd tries to load the backend from:
/usr/lib64/samba/pdb/ldapsam.so
but ldapsam.so is simply not there

--- Additional comment from Alexander Bokovoy on 2013-02-06 09:20:17 EST ---

This will be fixed in the next build. Appropriate patchset was pushed to the upstream master today: 1b582c4bf8ad46034eb30c758b085dc210e8096a..ff496ef29fe0eb8db929ba014abf5f8eeed86b33

--- Additional comment from Fedora Update System on 2013-02-07 11:17:07 EST ---

libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtalloc-2.0.8-1.fc18,libtdb-1.2.11-1.fc18,libldb-1.1.15-2.fc18,sssd-1.9.4-3.fc18,samba-4.0.3-1.fc18

--- Additional comment from Fedora Update System on 2013-02-08 11:59:37 EST ---

Package libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtdb-1.2.11-1.fc18 libtalloc-2.0.8-1.fc18 libldb-1.1.15-2.fc18 sssd-1.9.4-3.fc18 samba-4.0.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2138/libtalloc-2.0.8-1.fc18,libtdb-1.2.11-1.fc18,libldb-1.1.15-2.fc18,sssd-1.9.4-3.fc18,samba-4.0.3-1.fc18
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2013-02-12 00:04:45 EST ---

libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 1 David Spurek 2013-03-04 09:40:29 UTC
Same problem on RHEL7.

samba-4.0.2-1.el7.x86_64

ldapsam.so is not in /usr/lib64/samba/pdb/ldapsam.so

Comment 2 Andreas Schneider 2013-03-04 10:06:29 UTC
This will be fixed automatically with the pull from the fedora repositories after Alpha3.

Comment 4 Ludek Smid 2014-06-13 12:10:38 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.